Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -4006,18 +4354,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="TabButtonUpperLeftNormal" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="TabButtonUpperRightNormal" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="TabButtonLowerRightNormal" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="TabButtonLeftNormal" />
-                <Image type="RightEdge" imageset="WindowsLook" image="TabButtonRightNormal" />
-                <Image type="TopEdge" imageset="WindowsLook" image="TabButtonUpperNormal" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="TabButtonLowerNormal" />
-                <Image type="Background" imageset="WindowsLook" image="TabButtonMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/TabButtonUpperLeftNormal" />
+                <Image component="TopRightCorner" name="WindowsLook/TabButtonUpperRightNormal" />
+                <Image component="BottomLeftCorner" name="WindowsLook/TabButtonLowerLeftNormal" />
+                <Image component="BottomRightCorner" name="WindowsLook/TabButtonLowerRightNormal" />
+                <Image component="LeftEdge" name="WindowsLook/TabButtonLeftNormal" />
+                <Image component="RightEdge" name="WindowsLook/TabButtonRightNormal" />
+                <Image component="TopEdge" name="WindowsLook/TabButtonUpperNormal" />
+                <Image component="BottomEdge" name="WindowsLook/TabButtonLowerNormal" />
+                <Image component="Background" name="WindowsLook/TabButtonMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -4025,15 +4381,23 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="TabButtonUpperLeftSelected" />
-                <Image type="TopEdge" imageset="WindowsLook" image="TabButtonUpperSelected" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="TabButtonUpperRightSelected" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="TabButtonLeftSelected" />
-                <Image type="Background" imageset="WindowsLook" image="TabButtonMiddleSelected" />
-                <Image type="RightEdge" imageset="WindowsLook" image="TabButtonRightSelected" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/TabButtonUpperLeftSelected" />
+                <Image component="TopEdge" name="WindowsLook/TabButtonUpperSelected" />
+                <Image component="TopRightCorner" name="WindowsLook/TabButtonUpperRightSelected" />
+                <Image component="LeftEdge" name="WindowsLook/TabButtonLeftSelected" />
+                <Image component="Background" name="WindowsLook/TabButtonMiddleSelected" />
+                <Image component="RightEdge" name="WindowsLook/TabButtonRightSelected" />
             </FrameComponent>
         </ImagerySection>
@@ -4041,15 +4405,23 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="WindowsLook" image="TabButtonLeftSelected" />
-                <Image type="Background" imageset="WindowsLook" image="TabButtonMiddleSelected" />
-                <Image type="RightEdge" imageset="WindowsLook" image="TabButtonRightSelected" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="TabButtonLowerLeftSelected" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="TabButtonLowerSelected" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="TabButtonLowerRightSelected" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="WindowsLook/TabButtonLeftSelected" />
+                <Image component="Background" name="WindowsLook/TabButtonMiddleSelected" />
+                <Image component="RightEdge" name="WindowsLook/TabButtonRightSelected" />
+                <Image component="BottomLeftCorner" name="WindowsLook/TabButtonLowerLeftSelected" />
+                <Image component="BottomEdge" name="WindowsLook/TabButtonLowerSelected" />
+                <Image component="BottomRightCorner" name="WindowsLook/TabButtonLowerRightSelected" />
             </FrameComponent>
         </ImagerySection>
@@ -4095,79 +4467,82 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/TabContentPane
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/TabContentPane">
-        <PropertyDefinition name="EnableTop" initialValue="0" redrawOnWrite="true" layoutOnWrite="true" />
-        <PropertyDefinition name="EnableBottom" initialValue="0" redrawOnWrite="true" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="0" layoutOnWrite="true" name="EnableTop" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="0" layoutOnWrite="true" name="EnableBottom" redrawOnWrite="true" />
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <ImageDim imageset="WindowsLook" image="TabContentPaneUpperLeft" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="TabContentPaneUpperLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="TabContentPaneTop" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="TabContentPaneUpperRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="WindowsLook/TabContentPaneUpperLeft" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/TabContentPaneUpperLeft" />
+                <Image component="TopEdge" name="WindowsLook/TabContentPaneTop" />
+                <Image component="TopRightCorner" name="WindowsLook/TabContentPaneUpperRight" />
             </FrameComponent>
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <ImageDim imageset="WindowsLook" image="TabContentPaneUpperLeft" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="TabContentPaneLowerLeft" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="WindowsLook" image="TabContentPaneLeft" />
-                <Image type="Background" imageset="WindowsLook" image="TabContentPaneMiddle" />
-                <Image type="RightEdge" imageset="WindowsLook" image="TabContentPaneRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="WindowsLook/TabContentPaneUpperLeft" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="WindowsLook/TabContentPaneLowerLeft" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="WindowsLook/TabContentPaneLeft" />
+                <Image component="Background" name="WindowsLook/TabContentPaneMiddle" />
+                <Image component="RightEdge" name="WindowsLook/TabContentPaneRight" />
             </FrameComponent>
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="TabContentPaneLowerLeft" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="TabContentPaneLowerLeft" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="TabContentPaneLower" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="TabContentPaneLowerRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="WindowsLook/TabContentPaneLowerLeft" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="BottomLeftCorner" name="WindowsLook/TabContentPaneLowerLeft" />
+                <Image component="BottomEdge" name="WindowsLook/TabContentPaneLower" />
+                <Image component="BottomRightCorner" name="WindowsLook/TabContentPaneLowerRight" />
             </FrameComponent>
         </ImagerySection>
@@ -4180,56 +4555,55 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/TabButtonPane
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/TabButtonPane">
-        <PropertyDefinition name="EnableTop" initialValue="1" redrawOnWrite="true" layoutOnWrite="true" />
-        <PropertyDefinition name="EnableBottom" initialValue="1" redrawOnWrite="true" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="1" layoutOnWrite="true" name="EnableTop" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="1" layoutOnWrite="true" name="EnableBottom" redrawOnWrite="true" />
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <ImageDim imageset="WindowsLook" image="TabHorizontalTopFiller" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                </Area>
-                <Image type="TopEdge" imageset="WindowsLook" image="TabHorizontalTopFiller" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="WindowsLook/TabHorizontalTopFiller" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="WindowsLook/TabHorizontalTopFiller" />
             </FrameComponent>
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <ImageDim imageset="WindowsLook" image="TabHorizontalTopFiller" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="TabHorizontalBottomFiller" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="WindowsLook/TabHorizontalTopFiller" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="WindowsLook/TabHorizontalBottomFiller" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
                     </Dim>
                 </Area>
@@ -4237,20 +4611,24 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="TabHorizontalBottomFiller" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="BottomEdge" imageset="WindowsLook" image="TabHorizontalBottomFiller" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="WindowsLook/TabHorizontalBottomFiller" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="BottomEdge" name="WindowsLook/TabHorizontalBottomFiller" />
             </FrameComponent>
         </ImagerySection>
